Bug 425774 - Sear is not using media files from system dir
Sear is not using media files from system dir
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sear (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Wart
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-15 05:32 EST by Alexey Torkhov
Modified: 2008-03-13 03:40 EDT (History)
0 users

See Also:
Fixed In Version: 0.6.3-8.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2007-12-15 05:32:39 EST
Description of problem:
I have installed sear from fedora packages. After starting sear it downloaded
media files update and put it in ~/.sear.
After that it was starting and complain about "File not found
'/home/alex/.sear//sear-media-0.6//settler//skeleton.csf'".
I had to copy media files from system dir /usr/share/sear/sear-media-0.6 to my
local ~/.sear/sear-media-0.6 to get rid of this error message.

Version-Release number of selected component (if applicable):
sear-0.6.3-5.fc8

How reproducible:
Always.

Steps to Reproduce:
Run sear from console. Login to server.

Actual results:
Error message "File not found
'/home/alex/.sear//sear-media-0.6//settler//skeleton.csf'". It continues to run
but in-game I don't see myself (my char).

Expected results:
Sear load files also from /usr/share/sear/sear-media-0.6

Additional info:
I reported also to their bugtracker https://bugs.launchpad.net/sear/+bug/176514.
But I'm unsure if this is not but of packaging.
Comment 1 Wart 2007-12-19 00:16:40 EST
Indeed, sear does seem to be ignoring the previously installed media files. 
Removing the sear-media package and letting sear download all media files to
~/.sear works, that is, the game runs and you see the characters and objects in
the game.

Thanks for the link to the bug report.  I've added a comment asking for the
patch against 0.6.3.  I'll also make sure that sear is using the latest version
of eris.
Comment 2 Fedora Update System 2008-01-29 00:17:07 EST
sear-0.6.3-8.fc8, eris-1.3.13-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sear eris'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2007-4644
Comment 3 Fedora Update System 2008-03-13 03:40:07 EDT
sear-0.6.3-8.fc8, eris-1.3.13-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.